Bug 164404 - crash when forwarding message
crash when forwarding message
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
: 164424 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 14:04 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 17:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 311223 None None None Never

  None (edit)
Description Jeremy Katz 2005-07-27 14:04:05 EDT
Forwarding a message causes evo to crash with the following spewed into /tmp/xses*

evolution: symbol lookup error:
/usr/lib/evolution/2.4/components/libevolution-mail.so: undefined symbol:
CAMEL_IS_MULTIPART


[katzj@bree ~]$ rpm -q evolution gtkhtml3 libgal2 evolution-data-server
evolution-2.3.5.1-1
gtkhtml3-3.7.5-2
libgal2-2.5.3-1
evolution-data-server-1.3.5-2
Comment 1 Dave Malcolm 2005-07-27 16:24:08 EDT
*** Bug 164424 has been marked as a duplicate of this bug. ***
Comment 2 Dave Malcolm 2005-07-27 16:26:23 EDT
Thanks.  I'm not seeing this crash.

Please install debuginfo packages and obtain a backtrace of the crash.

Looks like a missing macro declaration (missing #include directive?) to me
Comment 3 Tom Duffy 2005-07-27 16:35:53 EDT
$ rpm -q evolution-debuginfo
evolution-debuginfo-2.3.5.1-1

I have it installed.  It does not create a backtrace, however.

Forwarding works for me.  It is saving that doesn't.  And evolution just closes,
no backtrace.

$ echo $?
127
Comment 4 Tom Duffy 2005-07-29 14:05:54 EDT
[ Please update the summary to better reflect the nature of the bug -- I don't
have permission ]

Can you please let me know what info you need to help debug this issue.  I am
still seeing it on evolution-2.3.6-1 today.  I tried running evolution from gdb,
but it hangs when opening the file dialog box.

[tduffy@duffman ~]$ gdb `which evolution`
GNU gdb Red Hat Linux (6.3.0.0-1.61rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/evolution
[Thread debugging using libthread_db enabled]
[New Thread 46912541068160 (LWP 10929)]
es menu class init
Detaching after fork from child process 10983.
adding hook target 'source'

(evolution:10929): camel-WARNING **: Invalid root:
'/home/tduffy/.evolution/mail/local/Drafts.ibex.index'

(evolution:10929): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:10929): camel-WARNING **: block size: 1024 (1024) OK

(evolution:10929): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:10929): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:10929): camel-WARNING **: flags: unSYNC

(evolution:10929): camel-WARNING **: Invalid root:
'/home/tduffy/.evolution/mail/local/Sent.ibex.index'

(evolution:10929): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:10929): camel-WARNING **: block size: 1024 (1024) OK

(evolution:10929): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:10929): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:10929): camel-WARNING **: flags: unSYNC

(evolution:10929): camel-WARNING **: camel_exception_get_id called with NULL
parameter.
[New Thread 1084229984 (LWP 10986)]

(evolution:10929): camel-WARNING **: camel_exception_get_id called with NULL
parameter.

(evolution:10929): evolution-mail-WARNING **: couldn't get service : No provider
available for protocol `'

[New Thread 1094719840 (LWP 10988)]
[New Thread 1105209696 (LWP 10989)]
[New Thread 1115699552 (LWP 10990)]
[Thread 1115699552 (LWP 10990) exited]

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'

(evolution:10929): Gdk-CRITICAL **: gdk_gc_set_foreground: assertion `GDK_IS_GC
(gc)' failed
[New Thread 1115699552 (LWP 10994)]
[New Thread 1126189408 (LWP 10995)]
[New Thread 1136679264 (LWP 10998)]

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'

(evolution:10929): Bonobo-WARNING **: TESTME: strange, setting state '0' on
weird object 'GtkImageMenuItem'
[New Thread 1147169120 (LWP 10999)]
Detaching after fork from child process 11000.
requesting object classid: attachment-bar
object_found: 1
requesting object classid: smime:///em-format-html/.0xa50190.434479/icon/signed
object_found: 1

< -- I click save here -- >

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1094719840 (LWP 10988)]
0x000000344f108906 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) cont
Continuing.

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1084229984 (LWP 10986)]
0x000000344f108906 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) cont
Continuing.

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1147169120 (LWP 10999)]
0x000000344f108906 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) cont
Continuing.

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1136679264 (LWP 10998)]
0x000000344f108906 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) cont
Continuing.

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1126189408 (LWP 10995)]
0x000000344e4c2ee2 in __select_nocancel () from /lib64/libc.so.6
(gdb) cont
Continuing.

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1115699552 (LWP 10994)]
0x000000344f108906 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) cont
Continuing.

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1105209696 (LWP 10989)]
0x000000344f108906 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) cont
Continuing.

< -- evolution hangs and I never see the dialog -- >
Comment 5 Dave Malcolm 2005-08-02 17:05:31 EDT
Dup of upstream bug; should be fixed when next upstream tarball hits rawhide.

Note You need to log in before you can comment on or make changes to this bug.